Neovim configs for 2023. Hopefully they last.
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
junikimm717 b65f328265 netrw ignored 1 year ago
after/plugin ability to switch to macos 1 year ago
lua/junikim options 1 year ago
.gitignore netrw ignored 1 year ago
LICENSE.md First Commit 1 year ago
README.md readme 1 year ago
init.lua First Commit 1 year ago

README.md

2023 Neovim Config Files

Neovim Config modernized for 2023; customized in the footsteps of primeagen.

Required Dependencies (yes ik)

  • Neovim 0.8 or higher
  • NodeJS
  • GCC
  • Go
  • Rust
  • Git

Additions

  • Shellcheck
  • Fzf
  • Tmux

Installation

  1. Install the dependencies above.
  2. Install packer
  3. Clone this repository
  4. PackerSync